SDL_GetPixelFormatEnumForMasks(3)

NAME
SDL_GetPixelFormatEnumForMasks - Convert a bpp value and RGBA masks to an enumerated pixel format.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_PixelFormatEnum SDL_GetPixelFormatEnumForMasks(int bpp,
                                  Uint32 Rmask,
                                  Uint32 Gmask,
                                  Uint32 Bmask,
                                  Uint32 Amask);

DESCRIPTION
This will return SDL_PIXELFORMAT_UNKNOWN if the conversion wasn't possible.

FUNCTION PARAMETERS

bpp a bits per pixel value; usually 15, 16, or 32

Rmask
    the red mask for the format

Gmask
    the green mask for the format

Bmask
    the blue mask for the format

Amask
    the alpha mask for the format

RETURN VALUE
Returns the SDL_PixelFormatEnum
 value corresponding to the format masks, or SDL_PIXELFORMAT_UNKNOWN if there isn't a match.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetMasksForPixelFormatEnum(3)